using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class JackManager : MonoBehaviour
{
	public int id;
	public int tipo;
	public int slotDest;
	public bool isRing;
	public MeshRenderer jackSpiaRenderer;
	public Material spiaSpenta, spiaAccesa, spiaInUso, spiaConnessa;
	public Transform trn;

	private void Awake()
	{
		trn = transform;
	}

	public void RingJack(int dest)
	{
		slotDest = dest;
		isRing = true;
		jackSpiaRenderer.material = spiaAccesa;
	}

	public void ConnectJack()
	{
		jackSpiaRenderer.material = spiaConnessa;
	}

	public void UseJack()
	{
		jackSpiaRenderer.material = spiaInUso;
	}

	public void OffJack()
	{
		slotDest = -1;
		isRing = false;
		jackSpiaRenderer.material = spiaSpenta;
	}
}
